#include <string.au3>
#AutoIt3Wrapper_usex64=n
#NoTrayIcon
FileDelete (@TempDir & "\text.txt")
$Verzeichnis = @ScriptDir & "\"
$Stimme = "LH Anna"

$Postleitzahl = IniRead ("Config.ini","Allgemein","Postleitzahl","")
$Land = IniRead ("Config.ini","Allgemein","Land","")
$Datum_lesen = IniRead ("Config.ini","Erweitert","Datum lesen","")
$Uhrzeit_lesen = IniRead ("Config.ini","Erweitert","Uhrzeit lesen","")
$Wetter_lesen = IniRead ("Config.ini","Erweitert","Wetter lesen","")
$Nachrichten_lesen = IniRead ("Config.ini","Erweitert","Nachrichten lesen","")
$Begruessung = IniRead ("Config.ini","Erweitert","Begrung","")
$Begruessung_Text = IniRead ("Config.ini","Erweitert","Begrungstext","")
$Ton = IniRead ("Config.ini","Erweitert","Ton","")
$Stimme = IniRead ("Config.ini","Erweitert","Stimme","")

If $Postleitzahl = "" Or $Land = "" Or $Datum_lesen = "" Or $Uhrzeit_lesen = "" Or $Wetter_lesen = "" Or $Nachrichten_lesen = "" Or $Begruessung = "" Or $Begruessung_Text = "" Or $Ton = "" Or $Stimme = "" Then
	MsgBox (48,"Susi","Die Konfiguration wurde noch nicht durchgefhrt. Bitte konfiguriere Susi jetzt.")
	If @Compiled Then
		ShellExecute ("Konfiguration.exe")
	Else
		ShellExecute ("Konfiguration.au3")
	EndIf
	Exit
EndIf
; ---------------------Wetter---------------------
$file = @TempDir & "\htmlcode.html"
InetGet ("http://www.google.com/ig/api?weather=" & $Postleitzahl & "-" & $Land & "&hl=de",$file,1)
If $file = "" Then
	Exit
EndIf
$beschreibung_heute = _StringBetween (FileRead ($file),'<condition data="','"/>')
$temp_heute = _StringBetween (FileRead ($file),'<temp_c data="','"/>')
$luft_heute = _StringBetween (FileRead ($file),'<humidity data="Luftfeuchtigkeit: ','"/>')
$tief = _StringBetween (FileRead ($file),'<low data="','"/>')
$hoch = _StringBetween (FileRead ($file),'<high data="','"/>')
$beschreibung = _StringBetween (FileRead ($file),'<condition data="','"/>')
FileDelete ($file)


; ---------------------Nachrichten---------------------
$nachrichtendatei = @TempDir & "\Nachrichten.html"
InetGet ("http://heute.de",$nachrichtendatei,1)
If $file = "" Then
	Exit
EndIf

;Nachricht 1
$oberstring = _StringBetween (FileRead ($nachrichtendatei),'<div class="itemContent">','</div>')
$string = _StringBetween($oberstring[0],'tabindex="-1">','</a></h3>')
$string[0] = StringReplace ($string[0],'&#034;',"")
$nachrichten = $string[0] & ". "

$string = _StringBetween($oberstring[0],'title="','">')
$string[0] = StringReplace ($string[0],'&#034;',"")
$nachrichten = $nachrichten & $string[0] &  ". "

$string = _StringBetween($oberstring[0],'tabindex="-1">','</a>')
$string[0] = StringReplace ($string[1],'&#034;',"")
$nachrichten = $nachrichten & $string[0] &  ". "

;Nachricht 2
$oberstring = _StringBetween (FileRead ($nachrichtendatei),'<div class="itemContent">','</div>')
$string = _StringBetween($oberstring[1],'tabindex="-1">','</a></h3>')
$string[0] = StringReplace ($string[0],'&#034;',"")
$nachrichten = $nachrichten & $string[0] & ". "

$string = _StringBetween($oberstring[1],'title="','">')
$string[0] = StringReplace ($string[0],'&#034;',"")
$nachrichten = $nachrichten & $string[0] &  ". "

$string = _StringBetween($oberstring[1],'tabindex="-1">','</a>')
$string[0] = StringReplace ($string[1],'&#034;',"")
$nachrichten = $nachrichten & $string[0] &  ". "

;Nachricht 3
$oberstring = _StringBetween (FileRead ($nachrichtendatei),'<div class="itemContent">','</div>')
$string = _StringBetween($oberstring[2],'tabindex="-1">','</a></h3>')
$string[0] = StringReplace ($string[0],'&#034;',"")
$nachrichten = $nachrichten & $string[0] & ". "

$string = _StringBetween($oberstring[2],'title="','">')
$string[0] = StringReplace ($string[0],'&#034;',"")
$nachrichten = $nachrichten & $string[0] &  ". "

$string = _StringBetween($oberstring[2],'tabindex="-1">','</a>')
$string[0] = StringReplace ($string[1],'&#034;',"")
$nachrichten = $nachrichten & $string[0] &  ". "


FileDelete ($nachrichtendatei)


If $Begruessung = 1 Then
	$_Begruessungs_Text = $Begruessung_Text
Else
	$_Begruessungs_Text = ""
EndIf

If $Datum_lesen = 1 Then
	$_Datum_lesen = @MDAY & ". " & @MON & ". " & @YEAR
Else
	$_Datum_lesen = ""
EndIf

If $Uhrzeit_lesen = 1 Then
	$_Uhrzeit_lesen = @HOUR & " Uhr " & @MIN
Else
	$_Uhrzeit_lesen = ""
EndIf

If $Wetter_lesen = 1 Then
	$_Wetter_lesen = "Das aktuelle Wetter. " & $beschreibung_heute[0] & " bei einer Temperatur von" & $temp_heute[0] & " Grad Celsius und einer Luftfeuchtigkeit von " & $luft_heute[0] & "." & _
" Das morgige Wetter. " & $beschreibung[1] & ". Es ist mit Temperaturen von " & $tief[1] & " bis " & $hoch[1] & " Grad Celsius zu rechnen." & _
" Das Wetter bermorgen. " & $beschreibung[2] & " bei Temperaturen zwischen " & $tief[2] & " und " & $hoch[2] & " Grad Celsius."
Else
	$_Wetter_lesen = ""
EndIf

If $Nachrichten_lesen = 1 Then
	$_Nachrichten_lesen = " Die Nachrichten. " & $nachrichten
Else
	$_Nachrichten_lesen = ""
EndIf


If $Ton = 1 Then
	SoundPlay (@ScriptDir & "\Start.wmv")
EndIf

Sleep (100)
$oTalk = ObjCreate('SAPI.SpVoice')
$oTalk.voice = $oTalk.GetVoices("Name=" & $Stimme, "Language=407" ).Item(0)
$oTalk.Speak($_Begruessungs_Text & ". " &  $_Datum_lesen & " " & $_Uhrzeit_lesen & " . " & $_Wetter_lesen & $_Nachrichten_lesen)