#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <TabConstants.au3>
#include <WindowsConstants.au3>
#NoTrayIcon
GUICreate("Susi Konfiguration", 615, 426)
GUICtrlCreateTab(8, 8, 593, 369)
GUICtrlCreateTabItem("Allgemein")
GUICtrlCreateLabel("Postleitzahl:", 16, 48, 60, 17)
$Postleitzahl = GUICtrlCreateInput(IniRead ("Config.ini","Allgemein","Postleitzahl",""), 32, 64, 177, 21)
GUICtrlCreateLabel("Die Postleitzahl wird fr den Abruf des Wetters fr deinen Aufenthaltsort verwendet.", 32, 88, 396, 17)
GUICtrlCreateLabel("Land:", 16, 112, 31, 17)
$Land = GUICtrlCreateInput("Germany", 32, 128, 177, 21)
GUICtrlCreateLabel("Das Land wird fr den Abruf des Wetters fr deinen Aufenthaltsort bentigt. Der Lndername muss in Englisch", 32, 152, 521, 17)
GUICtrlCreateLabel("angegeben werden!", 32, 168, 99, 17)
GUICtrlCreateTabItem("Erweitert")
$Datum_lesen = GUICtrlCreateCheckbox("Datum vorlesen", 32, 72, 97, 17)
GUICtrlSetState(-1, IniRead ("Config.ini","Erweitert","Datum lesen","1"))
$Uhrzeit_lesen = GUICtrlCreateCheckbox("Uhrzeit lesen", 32, 96, 97, 17)
GUICtrlSetState(-1, IniRead ("Config.ini","Erweitert","Uhrzeit lesen","1"))
$Wetter_lesen = GUICtrlCreateCheckbox("Wetter vorlesen", 32, 120, 97, 17)
GUICtrlSetState(-1, IniRead ("Config.ini","Erweitert","Wetter vorlesen","1"))
$Nachrichten_lesen = GUICtrlCreateCheckbox("Nachrichten vorlesen", 32, 144, 209, 17)
GUICtrlSetState(-1, IniRead ("Config.ini","Erweitert","Nachrichten vorlesen","1"))
GUICtrlCreateLabel("Elemente:", 16, 48, 51, 17)
GUICtrlCreateLabel("Weitere Elemente:", 16, 184, 91, 17)
$Begruessung = GUICtrlCreateCheckbox("Persnliche Begrung (diese wird zu Beginn des Vorlesens genannt):", 32, 208, 385, 17)
GUICtrlSetState(-1, IniRead ("Config.ini","Erweitert","Begrung","4"))
$Begruessung_Text = GUICtrlCreateInput(IniRead ("Config.ini","Erweitert","Begrungstext","Einen wunderschnen guten Tag"), 56, 232, 201, 21)
GUICtrlSetState(-1, IniRead ("Config.ini","Erweitert","Begrung","4"))
If GUICtrlRead ($Begruessung) = $GUI_UNCHECKED Then GUICtrlSetState ($Begruessung_Text,$GUI_DISABLE)
$Ton = GUICtrlCreateCheckbox("Ton beim Starten abspielen", 32, 264, 281, 17)
GUICtrlSetState(-1, IniRead ("Config.ini","Erweitert","Ton","1"))
$Stimme = GUICtrlCreateInput(IniRead ("Config.ini","Erweitert","Stimme","LH Anna"), 32, 344, 121, 21)
GUICtrlCreateLabel("Stimme:", 16, 296, 41, 17)
GUICtrlCreateLabel("Gib hier die Stimme an, in der Susi sprechen soll (beim empfohlenen Sprachpaket heien diese LH Anna und LH Stefan)", 32, 320, 568, 17)
$Test = GUICtrlCreateButton("Test", 216, 344, 75, 25)
GUICtrlCreateTabItem("ber")
GUICtrlCreateLabel("ber das Programm:", 24, 48, 100, 17)
GUICtrlCreateLabel("Version 2.1 by Cheater Dieter (www.autoit.de)", 40, 72, 219, 17)
GUICtrlCreateLabel("Danke an progandy (www.autoit.de) fr das Script, um den Installer des Stimmpakets zu berlisten und den Tipp, ", 40, 88, 537, 17)
GUICtrlCreateLabel("Susi ohne das Programm Balabolka  zu verwenden.", 40, 104, 247, 17)
GUICtrlCreateLabel("ber das Wetter:", 24, 136, 85, 17)
GUICtrlCreateLabel("Wetter by Google; der Zugriff erfolgt ber die API (http://www.google.com/ig/api)", 40, 160, 388, 17)
GUICtrlCreateLabel("ber die Nachrichten", 24, 192, 105, 17)
GUICtrlCreateLabel("Nachrichten by ZDF; Zugriff erfolgt durch auslesen des Quellcodes der Webseite heute.de.", 48, 216, 433, 17)
GUICtrlCreateTabItem("")
GUICtrlCreateTabItem("")
$Speichern = GUICtrlCreateButton("nderrungen speichern", 8, 384, 147, 33)
$Abbrechen = GUICtrlCreateButton("nderrungen verwerfen",168, 384, 147, 33)
GUISetState(@SW_SHOW)

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		Case $Test
			MsgBox ("64","Testen der Stimmausgabe",'Bitte klicke OK. Du solltest dann die Worte "Test Test 123" hren. Falls dies nicht der Fall sein sollte, berprfe bitte die angegebe Stimme.')
			FileWrite ("Test",GUICtrlRead ($Stimme))
			If @Compiled Then
				ShellExecute ("Test.exe")
			Else
				ShellExecute ("Test.au3")
			EndIf
		Case $Begruessung
			If GUICtrlRead ($Begruessung) = $GUI_CHECKED Then
				GUICtrlSetState($Begruessung_Text, $GUI_ENABLE)
			Else
				GUICtrlSetState($Begruessung_Text, $GUI_DISABLE)
			EndIf
		Case $Abbrechen
			ShellExecute (@ScriptFullPath)
			Exit
		Case $Speichern
			$_Postleitzahl = GUICtrlRead ($Postleitzahl)
			$_Land = GUICtrlRead ($Land)
			$_Datum_lesen = GUICtrlRead ($Datum_lesen)
			$_Uhrzeit_lesen = GUICtrlRead ($Uhrzeit_lesen)
			$_Wetter_lesen = GUICtrlRead ($Wetter_lesen)
			$_Nachrichten_lesen = GUICtrlRead ($Nachrichten_lesen)
			$_Begruessung = GUICtrlRead ($Begruessung)
			$_Begruessung_Text = GUICtrlRead ($Begruessung_Text)
			$_Ton = GUICtrlRead ($Ton)
			$_Stimme = GUICtrlRead ($Stimme)
			If GUICtrlRead ($Begruessung) = $GUI_CHECKED Then
				If $_Begruessung_Text = "" Then
					MsgBox (16,"Fehlende Angaben","Bitte fllen Sie alle Felder aus.")
					ContinueCase
				EndIf
			EndIf
			If $_Postleitzahl = "" Or $_Land = "" Or $_Stimme = "" Then
				MsgBox (16,"Fehlende Angaben","Bitte fllen Sie alle Felder aus.")
				ContinueCase
			EndIf
			IniWrite ("Config.ini","Allgemein","Postleitzahl",$_Postleitzahl)
			IniWrite ("Config.ini","Allgemein","Land",$_Land)
			IniWrite ("Config.ini","Erweitert","Datum lesen",$_Datum_lesen)
			IniWrite ("Config.ini","Erweitert","Uhrzeit lesen",$_Uhrzeit_lesen)
			IniWrite ("Config.ini","Erweitert","Wetter lesen",$_Wetter_lesen)
			IniWrite ("Config.ini","Erweitert","Nachrichten lesen",$_Nachrichten_lesen)
			IniWrite ("Config.ini","Erweitert","Begrung",$_Begruessung)
			IniWrite ("Config.ini","Erweitert","Begrungstext",$_Begruessung_Text)
			IniWrite ("Config.ini","Erweitert","Ton",$_Ton)
			IniWrite ("Config.ini","Erweitert","Stimme",$_Stimme)
			GUIDelete ()
			MsgBox (64,"Susi Konfiguration","Alle nderrungen wurden gespeichert.")
			Exit
	EndSwitch
WEnd
